#!/usr/bin/env bash

function _print_all_variables(){
local INPUT_VARIABLES=(
    SBATCH_ACCOUNT
    SBATCH_ACCTG_FREQ
    SBATCH_ARRAY_INX
    SBATCH_BATCH
    SBATCH_CLUSTERS
    SBATCH_CONSTRAINT
    SBATCH_CONTAINER
    SBATCH_CONTAINER_ID
    SBATCH_CORE_SPEC
    SBATCH_CPUS_PER_GPU
    SBATCH_DEBUG
    SBATCH_DELAY_BOOT
    SBATCH_DISTRIBUTION
    SBATCH_EXCLUSIVE
    SBATCH_ERROR
    SBATCH_EXPORT
    SBATCH_GET_USER_ENV
    SBATCH_GPU_BIND
    SBATCH_GPU_FREQ
    SBATCH_GPUS
    SBATCH_GPUS_PER_NODE
    SBATCH_GPUS_PER_TASK
    SBATCH_GRES
    SBATCH_GRES_FLAGS
    SBATCH_HINT
    SBATCH_IGNORE_PBS
    SBATCH_INPUT
    SBATCH_JOB_NAME
    SBATCH_MEM_BIND
    SBATCH_MEM_PER_CPU
    SBATCH_MEM_PER_GPU
    SBATCH_MEM_PER_NODE
    SBATCH_NETWORK
    SBATCH_NO_KILL
    SBATCH_NO_REQUEUE
    SBATCH_OPEN_MODE
    SBATCH_OUTPUT
    SBATCH_OVERCOMMIT
    SBATCH_PARTITION
    SBATCH_POWER
    SBATCH_PROFILE
    SBATCH_QOS
    SBATCH_REQ_SWITCH
    SBATCH_REQUEUE
    SBATCH_RESERVATION
    SBATCH_SIGNAL
    SBATCH_SPREAD_JOB
    SBATCH_THREAD_SPEC
    SBATCH_THREADS_PER_CORE
    SBATCH_TIMELIMIT
    SBATCH_TRES_BIND
    SBATCH_TRES_PER_TASK
    SBATCH_USE_MIN_NODES
    SBATCH_WAIT
    SBATCH_WAIT_ALL_NODES
    SBATCH_WAIT4SWITCH
    SBATCH_WCKEY
    SLURM_CONF
    SLURM_DEBUG_FLAGS
    SLURM_EXIT_ERROR
    SLURM_STEP_KILLED_MSG_NODE_ID
    SLURM_CLUSTERS
    SLURM_HINT
    SLURM_UMASK
  )

local IFS=$'\n' 
echo "${INPUT_VARIABLES[*]}" | sort
}

_print_all_variables
